Skip to main content
`Ctrl`+`K`

# TSMonitorLGSetTransform

Solution vector will be transformed by provided function before being displayed

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorLGSetTransform(TS ts, PetscErrorCode (*transform)(void *, Vec, Vec *), PetscErrorCode (*destroy)(void *), void *tctx)

Collective

## Input Parameters

- ts - the `TS` context

- transform - the transform function

- destroy - function to destroy the optional context

- tctx - optional context used by transform function

## Note

If the `TS` object does not have a `TSMonitorLGCtx` associated with it then this function is ignored

## See Also

TS: Scalable ODE and DAE Solvers, `TSMonitorSet()`, `TSMonitorDefault()`, `VecView()`, `TSMonitorLGSetVariableNames()`, `TSMonitorLGCtxSetTransform()`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

## Examples

src/ts/tutorials/extchem.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages